import request from '@/utils/request'

// 查询电整点数据列表
export function listReportPointDnb(query) {
  return request({
    url: '/ems/report/reportPointDnb/list',
    method: 'get',
    params: query
  })
}

// 查询电整点数据详细
export function getReportPointDnb(objId) {
  return request({
    url: '/ems/report/reportPointDnb/' + objId,
    method: 'get'
  })
}

// 新增电整点数据
export function addReportPointDnb(data) {
  return request({
    url: '/ems/report/reportPointDnb',
    method: 'post',
    data: data
  })
}

// 修改电整点数据
export function updateReportPointDnb(data) {
  return request({
    url: '/ems/report/reportPointDnb',
    method: 'put',
    data: data
  })
}

// 删除电整点数据
export function delReportPointDnb(objId) {
  return request({
    url: '/ems/report/reportPointDnb/' + objId,
    method: 'delete'
  })
}
